MCreator Installation fail

Published by sfen333 on Fri, 01/04/2019 - 00:49
Status
Fixed
Type
Product/platform
MCreator/Windows
Priority
Normal
Issue description

I'm trying to install Mcreator 1.8.1 but the installation keeps failing for I don't know what reason I have a picture below of the error popup window. I tried using the installer and the Archive installation methods (This same thing happend when I tryed installing 1.8.0)

 

 

                                                                           PLEASE HELP!

Attachment Size
A picture of the issue114.33 KB 114.33 KB

Issue comments

Ok here it it

   
Executing gradle command: cleanCache clean setupDecompWorkspace --refresh-dependencies
Build info: MCreator 1.8.1, 64-bit, 8142 MB, Windows 10 - cmd, JVM 1.8.0_172, JAVA_HOME: C:\Pylo\MCreator181\.\jdk
C:\Pylo\MCreator181\forge>gradlew -Dorg.gradle.daemon=false -Dorg.gradle.parallel=false -Dorg.gradle.jvmargs="-Xms625m -Xmx2048m" cleanCache clean setupDecompWorkspace --refresh-dependencies 
This mapping 'snapshot_20171003' was designed for MC 1.12! Use at your own peril.
#################################################
         ForgeGradle 2.3-SNAPSHOT-3996470        
  https://github.com/MinecraftForge/ForgeGradle  
#################################################
                 Powered by MCP                  
             http://modcoderpack.com             
     by: Searge, ProfMobius, R4wk, ZeuX          
     Fesh0r, IngisKahn, bspkrs, LexManos         
#################################################
:cleanCache
:clean UP-TO-DATE
:deobfCompileDummyTask
:deobfProvidedDummyTask
:getVersionJson
:extractUserdev
:extractDependencyATs SKIPPED
:extractMcpData
:extractMcpMappings
:genSrgs
:downloadClient
:downloadServer
:splitServerJar
:mergeJars
:deobfMcSRG
Applying SpecialSource...
Applying Exceptor...
[Fatal Error] patchy-1.1.pom:2:1: Content is not allowed in prolog.
[Fatal Error] oshi-core-1.1.pom:2:1: Content is not allowed in prolog.
[Fatal Error] jna-4.4.0.pom:2:1: Content is not allowed in prolog.
[Fatal Error] jna-4.4.0.pom:2:1: Content is not allowed in prolog.
[Fatal Error] platform-3.4.0.pom:2:1: Content is not allowed in prolog.
[Fatal Error] platform-3.4.0.pom:2:1: Content is not allowed in prolog.
[Fatal Error] icu4j-core-mojang-51.2.pom:2:1: Content is not allowed in prolog.
[Fatal Error] guava-21.0.pom:2:1: Content is not allowed in prolog.
[Fatal Error] guava-21.0.pom:2:1: Content is not allowed in prolog.
[Fatal Error] jutils-1.0.0.pom:2:1: Content is not allowed in prolog.
[Fatal Error] jutils-1.0.0.pom:2:1: Content is not allowed in prolog.
[Fatal Error] gson-2.8.0.pom:2:1: Content is not allowed in prolog.
[Fatal Error] gson-2.8.0.pom:2:1: Content is not allowed in prolog.
[Fatal Error] authlib-1.5.25.pom:2:1: Content is not allowed in prolog.
[Fatal Error] realms-1.10.22.pom:2:1: Content is not allowed in prolog.
[Fatal Error] fastutil-7.1.0.pom:2:1: Content is not allowed in prolog.
[Fatal Error] fastutil-7.1.0.pom:2:1: Content is not allowed in prolog.
[Fatal Error] log4j-api-2.8.1.pom:2:1: Content is not allowed in prolog.
[Fatal Error] log4j-api-2.8.1.pom:2:1: Content is not allowed in prolog.
[Fatal Error] text2speech-1.10.3.pom:2:1: Content is not allowed in prolog.
[Fatal Error] launchwrapper-1.12.pom:2:1: Content is not allowed in prolog.
[Fatal Error] asm-debug-all-5.2.pom:2:1: Content is not allowed in prolog.
[Fatal Error] akka-actor_2.11-2.3.3.pom:2:1: Content is not allowed in prolog.
[Fatal Error] config-1.2.1.pom:2:1: Content is not allowed in prolog.
[Fatal Error] scala-actors-migration_2.11-1.1.0.pom:2:1: Content is not allowed in prolog.
[Fatal Error] scala-compiler-2.11.1.pom:2:1: Content is not allowed in prolog.
[Fatal Error] scala-continuations-library_2.11-1.0.2.pom:2:1: Content is not allowed in prolog.
[Fatal Error] scala-continuations-plugin_2.11.1-1.0.2.pom:2:1: Content is not allowed in prolog.
[Fatal Error] scala-library-2.11.1.pom:2:1: Content is not allowed in prolog.
[Fatal Error] scala-parser-combinators_2.11-1.0.1.pom:2:1: Content is not allowed in prolog.
[Fatal Error] scala-reflect-2.11.1.pom:2:1: Content is not allowed in prolog.
[Fatal Error] scala-swing_2.11-1.0.1.pom:2:1: Content is not allowed in prolog.
[Fatal Error] scala-xml_2.11-1.0.2.pom:2:1: Content is not allowed in prolog.
[Fatal Error] lzma-0.0.1.pom:2:1: Content is not allowed in prolog.
[Fatal Error] trove4j-3.0.3.pom:2:1: Content is not allowed in prolog.
[Fatal Error] trove4j-3.0.3.pom:2:1: Content is not allowed in prolog.
[Fatal Error] maven-artifact-3.5.3.pom:2:1: Content is not allowed in prolog.
:decompileMc FAILED
FAILURE: Build failed with an exception.
* What went wrong:
Execution failed for task ':decompileMc'.
> Could not resolve all dependencies for configuration ':forgeGradleMcDeps'.
> Could not resolve com.mojang:patchy:1.1.
     Required by:
         com.yourname.modid:forge:1.0
> Could not resolve com.mojang:patchy:1.1.
> Could not parse POM https://libraries.minecraft.net/com/mojang/patchy/1.1/patchy-1.1.pom
> Content is not allowed in prolog.
> Could not resolve oshi-project:oshi-core:1.1.
     Required by:
         com.yourname.modid:forge:1.0
> Could not resolve oshi-project:oshi-core:1.1.
> Could not parse POM https://libraries.minecraft.net/oshi-project/oshi-core/1.1/oshi-core-1…
> Content is not allowed in prolog.
> Could not resolve net.java.dev.jna:jna:4.4.0.
     Required by:
         com.yourname.modid:forge:1.0
> Could not resolve net.java.dev.jna:jna:4.4.0.
> Could not parse POM https://repo1.maven.org/maven2/net/java/dev/jna/jna/4.4.0/jna-4.4.0.pom
> Content is not allowed in prolog.
> Could not resolve net.java.dev.jna:jna:4.4.0.
> Could not parse POM https://libraries.minecraft.net/net/java/dev/jna/jna/4.4.0/jna-4.4.0.pom
> Content is not allowed in prolog.
> Could not resolve net.java.dev.jna:platform:3.4.0.
     Required by:
         com.yourname.modid:forge:1.0
> Could not resolve net.java.dev.jna:platform:3.4.0.
> Could not parse POM https://repo1.maven.org/maven2/net/java/dev/jna/platform/3.4.0/platform…
> Content is not allowed in prolog.
> Could not resolve net.java.dev.jna:platform:3.4.0.
> Could not parse POM https://libraries.minecraft.net/net/java/dev/jna/platform/3.4.0/platfor…
> Content is not allowed in prolog.
> Could not resolve com.ibm.icu:icu4j-core-mojang:51.2.
     Required by:
         com.yourname.modid:forge:1.0
> Could not resolve com.ibm.icu:icu4j-core-mojang:51.2.
> Could not parse POM https://libraries.minecraft.net/com/ibm/icu/icu4j-core-mojang/51.2/icu4…
> Content is not allowed in prolog.
> Could not resolve net.sf.jopt-simple:jopt-simple:5.0.3.
     Required by:
         com.yourname.modid:forge:1.0
> Could not resolve net.sf.jopt-simple:jopt-simple:5.0.3.
> Could not parse POM https://repo1.maven.org/maven2/net/sf/jopt-simple/jopt-simple/5.0.3/jop…
> Resetting to invalid mark
> Could not resolve net.sf.jopt-simple:jopt-simple:5.0.3.
> Could not parse POM https://libraries.minecraft.net/net/sf/jopt-simple/jopt-simple/5.0.3/jo…
> Resetting to invalid mark
> Could not resolve io.netty:netty-all:4.1.9.Final.
     Required by:
         com.yourname.modid:forge:1.0
> Could not resolve io.netty:netty-all:4.1.9.Final.
> Could not parse POM https://repo1.maven.org/maven2/io/netty/netty-all/4.1.9.Final/netty-all…
> Resetting to invalid mark
> Could not resolve io.netty:netty-all:4.1.9.Final.
> Could not parse POM https://libraries.minecraft.net/io/netty/netty-all/4.1.9.Final/netty-al…
> Resetting to invalid mark
> Could not resolve com.google.guava:guava:21.0.
     Required by:
         com.yourname.modid:forge:1.0
> Could not resolve com.google.guava:guava:21.0.
> Could not parse POM https://repo1.maven.org/maven2/com/google/guava/guava/21.0/guava-21.0.p…
> Content is not allowed in prolog.
> Could not resolve com.google.guava:guava:21.0.
> Could not parse POM https://libraries.minecraft.net/com/google/guava/guava/21.0/guava-21.0…
> Content is not allowed in prolog.
> Could not resolve org.apache.commons:commons-lang3:3.5.
     Required by:
         com.yourname.modid:forge:1.0
> Could not resolve org.apache.commons:commons-lang3:3.5.
> Could not parse POM https://repo1.maven.org/maven2/org/apache/commons/commons-lang3/3.5/com…
> Resetting to invalid mark
> Could not resolve org.apache.commons:commons-lang3:3.5.
> Could not parse POM https://libraries.minecraft.net/org/apache/commons/commons-lang3/3.5/co…
> Resetting to invalid mark
> Could not resolve commons-io:commons-io:2.5.
     Required by:
         com.yourname.modid:forge:1.0
> Could not resolve commons-io:commons-io:2.5.
> Could not parse POM https://repo1.maven.org/maven2/commons-io/commons-io/2.5/commons-io-2.5…
> Resetting to invalid mark
> Could not resolve commons-io:commons-io:2.5.
> Could not parse POM https://libraries.minecraft.net/commons-io/commons-io/2.5/commons-io-2…
> Resetting to invalid mark
> Could not resolve commons-codec:commons-codec:1.10.
     Required by:
         com.yourname.modid:forge:1.0
> Could not resolve commons-codec:commons-codec:1.10.
> Could not parse POM https://repo1.maven.org/maven2/commons-codec/commons-codec/1.10/commons…
> Resetting to invalid mark
> Could not resolve commons-codec:commons-codec:1.10.
> Could not parse POM https://libraries.minecraft.net/commons-codec/commons-codec/1.10/common…
> Resetting to invalid mark
> Could not resolve net.java.jutils:jutils:1.0.0.
     Required by:
         com.yourname.modid:forge:1.0
com.yourname.modid:forge:1.0 
      > net.java.jinput:jinput:2.0.5
> Could not resolve net.java.jutils:jutils:1.0.0.
> Could not parse POM https://repo1.maven.org/maven2/net/java/jutils/jutils/1.0.0/jutils-1.0…
> Content is not allowed in prolog.
> Could not resolve net.java.jutils:jutils:1.0.0.
> Could not parse POM https://libraries.minecraft.net/net/java/jutils/jutils/1.0.0/jutils-1.0…
> Content is not allowed in prolog.
> Could not resolve com.google.code.gson:gson:2.8.0.
     Required by:
         com.yourname.modid:forge:1.0
> Could not resolve com.google.code.gson:gson:2.8.0.
> Could not parse POM https://repo1.maven.org/maven2/com/google/code/gson/gson/2.8.0/gson-2.8…
> Content is not allowed in prolog.
> Could not resolve com.google.code.gson:gson:2.8.0.
> Could not parse POM https://libraries.minecraft.net/com/google/code/gson/gson/2.8.0/gson-2…
> Content is not allowed in prolog.
> Could not resolve com.mojang:authlib:1.5.25.
     Required by:
         com.yourname.modid:forge:1.0
> Could not resolve com.mojang:authlib:1.5.25.
> Could not parse POM https://libraries.minecraft.net/com/mojang/authlib/1.5.25/authlib-1.5.2…
> Content is not allowed in prolog.
> Could not resolve com.mojang:realms:1.10.22.
     Required by:
         com.yourname.modid:forge:1.0
> Could not resolve com.mojang:realms:1.10.22.
> Could not parse POM https://libraries.minecraft.net/com/mojang/realms/1.10.22/realms-1.10.2…
> Content is not allowed in prolog.
> Could not resolve org.apache.commons:commons-compress:1.8.1.
     Required by:
         com.yourname.modid:forge:1.0
> Could not resolve org.apache.commons:commons-compress:1.8.1.
> Could not parse POM https://repo1.maven.org/maven2/org/apache/commons/commons-compress/1.8…
> Resetting to invalid mark
> Could not resolve org.apache.commons:commons-compress:1.8.1.
> Could not parse POM https://libraries.minecraft.net/org/apache/commons/commons-compress/1.8…
> Resetting to invalid mark
> Could not resolve it.unimi.dsi:fastutil:7.1.0.
     Required by:
         com.yourname.modid:forge:1.0
> Could not resolve it.unimi.dsi:fastutil:7.1.0.
> Could not parse POM https://repo1.maven.org/maven2/it/unimi/dsi/fastutil/7.1.0/fastutil-7.1…
> Content is not allowed in prolog.
> Could not resolve it.unimi.dsi:fastutil:7.1.0.
> Could not parse POM https://libraries.minecraft.net/it/unimi/dsi/fastutil/7.1.0/fastutil-7…
> Content is not allowed in prolog.
> Could not resolve org.apache.logging.log4j:log4j-api:2.8.1.
     Required by:
         com.yourname.modid:forge:1.0
> Could not resolve org.apache.logging.log4j:log4j-api:2.8.1.
> Could not parse POM https://repo1.maven.org/maven2/org/apache/logging/log4j/log4j-api/2.8.1…
> Content is not allowed in prolog.
> Could not resolve org.apache.logging.log4j:log4j-api:2.8.1.
> Could not parse POM https://libraries.minecraft.net/org/apache/logging/log4j/log4j-api/2.8…
> Content is not allowed in prolog.
> Could not resolve org.apache.logging.log4j:log4j-core:2.8.1.
     Required by:
         com.yourname.modid:forge:1.0
> Could not resolve org.apache.logging.log4j:log4j-core:2.8.1.
> Could not parse POM https://repo1.maven.org/maven2/org/apache/logging/log4j/log4j-core/2.8…
> Resetting to invalid mark
> Could not resolve org.apache.logging.log4j:log4j-core:2.8.1.
> Could not parse POM https://libraries.minecraft.net/org/apache/logging/log4j/log4j-core/2.8…
> Resetting to invalid mark
> Could not resolve com.mojang:text2speech:1.10.3.
     Required by:
         com.yourname.modid:forge:1.0
> Could not resolve com.mojang:text2speech:1.10.3.
> Could not parse POM https://libraries.minecraft.net/com/mojang/text2speech/1.10.3/text2spee…
> Content is not allowed in prolog.
> Could not resolve net.minecraft:launchwrapper:1.12.
     Required by:
         com.yourname.modid:forge:1.0
> Could not resolve net.minecraft:launchwrapper:1.12.
> Could not parse POM https://libraries.minecraft.net/net/minecraft/launchwrapper/1.12/launch…
> Content is not allowed in prolog.
> Could not resolve org.ow2.asm:asm-debug-all:5.2.
     Required by:
         com.yourname.modid:forge:1.0
> Could not resolve org.ow2.asm:asm-debug-all:5.2.
> Could not parse POM https://repo1.maven.org/maven2/org/ow2/asm/asm-debug-all/5.2/asm-debug-…
> Content is not allowed in prolog.
> Could not resolve com.typesafe.akka:akka-actor_2.11:2.3.3.
     Required by:
         com.yourname.modid:forge:1.0
> Could not resolve com.typesafe.akka:akka-actor_2.11:2.3.3.
> Could not parse POM https://repo1.maven.org/maven2/com/typesafe/akka/akka-actor_2.11/2.3.3/…
> Content is not allowed in prolog.
> Could not resolve com.typesafe:config:1.2.1.
     Required by:
         com.yourname.modid:forge:1.0
> Could not resolve com.typesafe:config:1.2.1.
> Could not parse POM https://repo1.maven.org/maven2/com/typesafe/config/1.2.1/config-1.2.1.p…
> Content is not allowed in prolog.
> Could not resolve org.scala-lang.modules:scala-parser-combinators_2.11:1.0.1.
     Required by:
         com.yourname.modid:forge:1.0
> Could not resolve org.scala-lang.modules:scala-parser-combinators_2.11:1.0.1.
> Could not parse POM https://repo1.maven.org/maven2/org/scala-lang/modules/scala-parser-comb…
> Content is not allowed in prolog.
> Could not resolve org.scala-lang.modules:scala-swing_2.11:1.0.1.
     Required by:
         com.yourname.modid:forge:1.0
> Could not resolve org.scala-lang.modules:scala-swing_2.11:1.0.1.
> Could not parse POM https://repo1.maven.org/maven2/org/scala-lang/modules/scala-swing_2.11/…
> Content is not allowed in prolog.
> Could not resolve org.scala-lang.modules:scala-xml_2.11:1.0.2.
     Required by:
         com.yourname.modid:forge:1.0
> Could not resolve org.scala-lang.modules:scala-xml_2.11:1.0.2.
> Could not parse POM https://repo1.maven.org/maven2/org/scala-lang/modules/scala-xml_2.11/1…
> Content is not allowed in prolog.
> Could not resolve lzma:lzma:0.0.1.
     Required by:
         com.yourname.modid:forge:1.0
> Could not resolve lzma:lzma:0.0.1.
> Could not parse POM https://libraries.minecraft.net/lzma/lzma/0.0.1/lzma-0.0.1.pom
> Content is not allowed in prolog.
> Could not resolve net.sf.trove4j:trove4j:3.0.3.
     Required by:
         com.yourname.modid:forge:1.0
> Could not resolve net.sf.trove4j:trove4j:3.0.3.
> Could not parse POM https://repo1.maven.org/maven2/net/sf/trove4j/trove4j/3.0.3/trove4j-3.0…
> Content is not allowed in prolog.
> Could not resolve net.sf.trove4j:trove4j:3.0.3.
> Could not parse POM https://libraries.minecraft.net/net/sf/trove4j/trove4j/3.0.3/trove4j-3…
> Content is not allowed in prolog.
> Could not resolve commons-codec:commons-codec:1.10.
     Required by:
com.yourname.modid:forge:1.0 
      > org.apache.httpcomponents:httpclient:4.3.3
> Could not resolve commons-codec:commons-codec:1.10.
> Could not parse POM https://repo1.maven.org/maven2/commons-codec/commons-codec/1.10/commons…
> Resetting to invalid mark
> Could not resolve commons-codec:commons-codec:1.10.
> Could not parse POM https://libraries.minecraft.net/commons-codec/commons-codec/1.10/common…
> Resetting to invalid mark
* Try:
Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output.
BUILD FAILED
Total time: 1 mins 13.427 secs
C:\Pylo\MCreator181\forge>
Task completed with return code 0 in 74060 milliseconds

 

Go to your user home folder, go to .mcreator subfolder and delete the gradle folder in it.

Then make sure MCreator can access the internet (no firewall or antivirus obstructing it) and run the setup again.



Donate to MCreator

By donating to developers you can speed up development, as with more resources, we can dedicate more time to MCreator. It is a free project made by developers working on it in their free time.